%define upstream_name    Sereal-Decoder
%define upstream_version 5.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Getting the most out of the Perl-Sereal implementation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
# Source0:    https://www.cpan.org/modules/by-module/Sereal/%{upstream_name}-%{upstream_version}.tar.gz
Source0:    https://cpan.metacpan.org/authors/id/Y/YV/YVES/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::CheckLib) >= 1.160.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 7.0.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
Devel::CheckLib is a perl module that checks whether a particular C library
and its headers are available.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# gcc 10 miscompiles snappy decoding code at -O3
# https://github.com/Sereal/Sereal/issues/229
sed -i s/-O3/-O2/ inc/Sereal/BuildTools.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

# (tv) // build is broken:
make

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 5.4.0-4.mga10
+ Revision: 2226241
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 5.4.0-3.mga10
+ Revision: 2088213
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 5.4.0-2.mga10
+ Revision: 2011248
- Rebuild for perl-5.38

* Thu Aug 31 2023 tv <tv> 5.4.0-1.mga10
+ Revision: 1982159
- update to 5.004

* Wed Feb 08 2023 daviddavid <daviddavid> 5.3.0-1.mga9
+ Revision: 1939493
- new version: 5.003

* Fri Feb 03 2023 daviddavid <daviddavid> 5.2.0-1.mga9
+ Revision: 1937685
- new version: 5.002

* Mon Sep 05 2022 tv <tv> 5.1.0-1.mga9
+ Revision: 1884081
- update to 5.001

* Fri Jul 29 2022 tv <tv> 4.25.0-1.mga9
+ Revision: 1872808
- update to 4.025

* Tue Jun 07 2022 umeabot <umeabot> 4.23.0-3.mga9
+ Revision: 1862400
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 4.23.0-2.mga9
+ Revision: 1796901
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 4.23.0-1.mga9
+ Revision: 1784048
- update to 4.023

* Fri Feb 11 2022 tv <tv> 4.19.0-1.mga9
+ Revision: 1773149
- update to 4.019

* Mon May 24 2021 umeabot <umeabot> 4.18.0-2.mga9
+ Revision: 1727065
- Rebuild for perl 5.34

* Mon Aug 10 2020 tv <tv> 4.18.0-1.mga8
+ Revision: 1612551
- update to 4.018

* Mon Jul 27 2020 pterjan <pterjan> 4.17.0-2.mga8
+ Revision: 1609204
- Workaround bug with GCC 10 (https://github.com/Sereal/Sereal/issues/229)

* Fri Jul 10 2020 tv <tv> 4.17.0-1.mga8
+ Revision: 1603963
- update to 4.017
+ daviddavid <daviddavid>
- update to 4.015

* Wed Jun 17 2020 umeabot <umeabot> 4.14.0-2.mga8
+ Revision: 1595258
- Rebuild for perl 5.32

* Sat Jun 13 2020 tv <tv> 4.14.0-1.mga8
+ Revision: 1593103
- update to 4.014

* Thu Jun 11 2020 tv <tv> 4.12.0-1.mga8
+ Revision: 1592322
- update to 4.012

* Thu Feb 20 2020 umeabot <umeabot> 4.11.0-2.mga8
+ Revision: 1546270
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 4.11.0-1.mga8
+ Revision: 1489057
- update to 4.011

* Sat Feb 01 2020 tv <tv> 4.8.0-1.mga8
+ Revision: 1486234
- update to 4.008

* Tue Aug 27 2019 tv <tv> 4.7.0-2.mga8
+ Revision: 1433185
- rebuild with perl-5.30

* Thu Apr 11 2019 tv <tv> 4.7.0-1.mga7
+ Revision: 1388267
- update to 4.007

* Tue Apr 09 2019 tv <tv> 4.6.0-1.mga7
+ Revision: 1387511
- update to 4.006

* Fri Sep 21 2018 umeabot <umeabot> 4.5.0-3.mga7
+ Revision: 1293754
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 4.5.0-2.mga7
+ Revision: 1248098
- fix files list
- rebuild for perl 5.28

* Thu Jan 25 2018 tv <tv> 4.5.0-1.mga7
+ Revision: 1196909
- update to 4.005
- update to 4.004

* Wed Nov 15 2017 tv <tv> 4.4.0-1.mga7
+ Revision: 1177483
- new release

* Tue Oct 03 2017 tv <tv> 3.15.0-4.mga7
+ Revision: 1166465
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 3.15.0-3.mga7
+ Revision: 1149926
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 3.15.0-2.mga7
+ Revision: 1127641
- Rebuild against new Perl 5.26

* Tue Jul 18 2017 daviddavid <daviddavid> 3.15.0-1.mga7
+ Revision: 1124859
- update to 3.015

* Sun Jun 19 2016 pterjan <pterjan> 3.14.0-2.mga6
+ Revision: 1033031
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 3.14.0-1.mga6
+ Revision: 923927
- update to 3.014

* Fri Jun 26 2015 tv <tv> 3.5.0-2.mga6
+ Revision: 845253
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 3.5.0-1.mga6
+ Revision: 841331
- New version 3.005 + Rebuild for the new perl-5.22.0

* Tue Jun 23 2015 tv <tv> 3.2.0-3.mga6
+ Revision: 841217
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-2.mga5
+ Revision: 749730
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 3.2.0-1.mga5
+ Revision: 731924
- imported package perl-Sereal-Decoder


* Tue Sep 30 2014 cpan2dist 3.002-1mga
- initial mageia release, generated with cpan2dist
